Save the training structure to a file

- « fann_run

- fann_save »

- PHP Manual
- Fann Functions
- Save the training structure to a file

# fann_save_train

(PECL fann >= 1.0.0)

fann_save_train — Save the training structure to a file

### Description

fann_save_train(resource `$data`, string `$file_name`): bool

Save the training data to a file, with the format as specified in fann_read_train_from_file().

### Parameters

`data`

  Neural network training data resource.

`file_name`

  The file name of the file where training data is saved to.

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_read_train_from_file() - Reads a file that stores training data